import { Series } from "./Series";
import { Point, Type } from "igniteui-angular-core";
import { AnnotationAppearanceMode } from "./AnnotationAppearanceMode";
import { DoubleCollection } from "igniteui-angular-core";
import { PenLineCap } from "igniteui-angular-core";
import { Frame } from "./Frame";
import { SeriesView } from "./SeriesView";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
import { NotifyCollectionChangedEventArgs } from "igniteui-angular-core";
import { Axis } from "./Axis";
import { Brush } from "igniteui-angular-core";
import { Rect } from "igniteui-angular-core";
import { Tuple$2 } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare abstract class AnnotationLayer extends Series {
    static $t: Type;
    constructor();
    protected ct(): SeriesView;
    q7(a: SeriesView): void;
    protected xs(a: Series): boolean;
    protected xk: AnnotationLayerView;
    xu: boolean;
    xv: boolean;
    aad: Point;
    xp: boolean;
    protected get_e3(): boolean;
    xb: AnnotationAppearanceMode;
    w8: AnnotationAppearanceMode;
    x8: number;
    xx: number;
    xi: AnnotationAppearanceMode;
    w9: AnnotationAppearanceMode;
    xj: AnnotationAppearanceMode;
    xa: AnnotationAppearanceMode;
    x7: number;
    xw: number;
    x9: number;
    xy: number;
    z9: DoubleCollection;
    z1: DoubleCollection;
    aaa: DoubleCollection;
    z2: DoubleCollection;
    z0: DoubleCollection;
    aab: PenLineCap;
    protected b3(): SeriesHitTestMode;
    protected get_fh(): boolean;
    protected get_isUsableInLegend(): boolean;
    protected rg(a: any, b: string, c: any, d: any): void;
    protected aae: Point;
    private za;
    private y9;
    private y5;
    private y4;
    protected xq(a: Axis): boolean;
    private yy;
    protected xr(a: Series): boolean;
    private y8;
    protected y0(a: Axis, b: boolean): void;
    protected y1(a: Series, b: boolean): void;
    private y7;
    private yx;
    protected zy(): Brush;
    protected zz(): Brush;
    protected yz(a: NotifyCollectionChangedEventArgs): void;
    protected y2(a: NotifyCollectionChangedEventArgs): void;
    protected xm: Frame;
    protected xl: Frame;
    protected xn: Frame;
    protected sz(a: Rect, b: Rect): void;
    protected sy(a: Rect, b: Rect): void;
    rz(a: boolean): void;
    protected get_eu(): boolean;
    protected y3(a: Frame, b: SeriesView): void;
    protected y6(a: Frame, b: SeriesView): void;
    protected yw(a: Series): Tuple$2<boolean, Point>;
    protected qx(a: Point): void;
    aac: Point;
    hf(a: Rect, b: Rect, c: SeriesView): boolean;
    protected x5(): number;
    protected x4(): number;
    protected x6(): number;
    protected xf(): AnnotationAppearanceMode;
    protected xg(): AnnotationAppearanceMode;
    protected xh(): AnnotationAppearanceMode;
    protected z7(): DoubleCollection;
    protected z8(): DoubleCollection;
    protected z6(): DoubleCollection;
    protected xc(): AnnotationAppearanceMode;
    protected xd(): AnnotationAppearanceMode;
    protected xe(): AnnotationAppearanceMode;
    protected xz(): number;
    protected x2(): number;
    protected x1(): number;
    protected x0(): number;
    protected x3(): number;
    protected z4(): DoubleCollection;
    protected z5(): DoubleCollection;
    protected z3(): DoubleCollection;
    protected zb(): void;
    protected get_hb(): boolean;
    private xo;
    get xt(): boolean;
    set xt(a: boolean);
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class AnnotationLayerView extends SeriesView {
    static $t: Type;
    constructor(a: AnnotationLayer);
    protected cd: AnnotationLayer;
    private ce;
    private cf;
    private cj;
    cg(): void;
    ci(): void;
    ch(): void;
    ck(a: Brush, b: number): Brush;
    cm(a: Brush, b: number): Brush;
    cl(a: Brush, b: number): Brush;
}
